---
orphan: true
---

# Query runtime round snapshot

Query the specified runtime round snapshot.

```text
GET https://moi.matrixorigin.cn/newmoi/workspaces/{workspace_id}/agent-runtime-turn-snapshots/{snapshot_id}
```

## Preparation before calling

Called using `$AI_STUDIO_API_KEY`, `$WORKSPACE_ID` and `$SNAPSHOT_ID`.

## Request example

```bash
curl "https://moi.matrixorigin.cn/newmoi/workspaces/$WORKSPACE_ID/agent-runtime-turn-snapshots/$SNAPSHOT_ID" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and the round snapshot on success.

```json
{"code":0,"data":{"id":"snapshot_01"}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.id` | string | Round snapshot ID. |

## Error response

```json
{"code":5,"message":"snapshot not found"}
```
